/**
 * Created by robin on 11/1/15.
 */

(function () {
    'use strict';
    angular.module('luticateAuth')
        .factory('luticateAuthPermissionsUser', ['luticateRequest',
            function(luticateRequest) {

                var luticateAuthPermissions = {};

                luticateAuthPermissions.getAll = function(data, promise)
                {
                    return luticateRequest.get("/api/luticate/permissions/user/" + data.user_id, data, promise);
                };

                luticateAuthPermissions.edit = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/permissions/user/" + data.user_id
                        + "/" + data.permission_name + "/edit/" + data.permission_value, null, null, promise);
                };

                luticateAuthPermissions.add = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/permissions/user/" + data.user_id
                        + "/add/" + data.permission_name + "/" + data.permission_value, null, null, promise);
                };

                luticateAuthPermissions.del = function(data, promise)
                {
                    return luticateRequest.post("/api/luticate/permissions/user/" + data.user_id
                        + "/" + data.permission_name + "/del", null, null, promise);
                };


                return luticateAuthPermissions;
        }]);
})();